# EpisodeOfCare _search

`POST /EpisodeOfCare/_search`

This resource contains recorded details about a patient’s association with a healthcare provider for a period of time. Typically, this is a period when the provider has some level of responsibility for patient care regarding a specific condition or problem, even if the provider isn’t currently participating in an encounter. 

You can review or retrieve episode of care information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for details about an episode of care for a patient from one organization. 

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `patient` | Array of string | No | The patient to whom the episode of care pertains |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `type` | Array of string | No | The type of episode of care |
| `date` | Array of string | No | The provided date search value falls within the episode of care's period |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/EpisodeOfCare/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'type=string' \
--data-urlencode 'date=string'
```

## Responses

### 200

Search results (Bundle)

Response to a EpisodeOfCare search operation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of EpisodeOfCare or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (EpisodeOfCare).resource` | object | Yes | Search results for a search on the EpisodeOfCare resource. |
| `entry[] (EpisodeOfCare).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: EpisodeOfCare |
| `entry[] (EpisodeOfCare).resource.status` | string | Yes | planned \| waitlist \| active \| onhold \| finished \| cancelled. Possible values: planned, waitlist, active, onhold, finished, cancelled, entered-in-error |
| `entry[] (EpisodeOfCare).resource.patient` | object | Yes | The patient who is the focus of this episode of care. Must be a resource of type `Patient`. |
| `entry[] (EpisodeOfCare).resource.patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (EpisodeOfCare).resource.identifier` | Array of object | No | The EpisodeOfCare may be known by different identifiers for different contexts of use, such as when an external agency is tracking the Episode for funding purposes. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (EpisodeOfCare).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (EpisodeOfCare).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (EpisodeOfCare).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (EpisodeOfCare).resource.statusHistory` | Array of object | No | The history of statuses that the EpisodeOfCare has been through (without requiring processing the history of the resource). |
| `entry[] (EpisodeOfCare).resource.statusHistory[].status` | string | Yes | planned \| waitlist \| active \| onhold \| finished \| cancelled. Possible values: planned, waitlist, active, onhold, finished, cancelled, entered-in-error |
| `entry[] (EpisodeOfCare).resource.statusHistory[].period` | object | Yes | The period during this EpisodeOfCare that the specific status applied. |
| `entry[] (EpisodeOfCare).resource.statusHistory[].period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (EpisodeOfCare).resource.statusHistory[].period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (EpisodeOfCare).resource.type` | Array of object | No | A classification of the type of episode of care; e.g. specialist referral, disease management, type of funded care. |
| `entry[] (EpisodeOfCare).resource.type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (EpisodeOfCare).resource.type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (EpisodeOfCare).resource.type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (EpisodeOfCare).resource.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (EpisodeOfCare).resource.diagnosis` | Array of object | No | The list of diagnosis relevant to this episode of care. |
| `entry[] (EpisodeOfCare).resource.diagnosis[].condition` | object | Yes | A list of conditions/problems/diagnoses that this episode of care is intended to be providing care for. Must be a resource of type `Condition`. |
| `entry[] (EpisodeOfCare).resource.diagnosis[].condition.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.managingOrganization` | object | No | The organization that has assumed the specific responsibilities for the specified duration. Must be a resource of type `Organization`. |
| `entry[] (EpisodeOfCare).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.period` | object | No | The interval during which the managing organization assumes the defined responsibility. |
| `entry[] (EpisodeOfCare).resource.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (EpisodeOfCare).resource.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (EpisodeOfCare).resource.referralRequest` | Array of object | No | Referral Request(s) that are fulfilled by this EpisodeOfCare, incoming referrals. Must be a resource of type `ServiceRequest`. |
| `entry[] (EpisodeOfCare).resource.referralRequest[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.careManager` | object | No | The practitioner that is the care manager/care coordinator for this patient. Must be a resource of type `Practitioner`. |
| `entry[] (EpisodeOfCare).resource.careManager.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.team` | Array of object | No | The list of practitioners that may be facilitating this episode of care for specific purposes. Must be a resource of type `CareTeam`. |
| `entry[] (EpisodeOfCare).resource.team[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).resource.account` | Array of object | No | The set of accounts that may be used for billing for this EpisodeOfCare. Must be a resource of type `Account`. |
| `entry[] (EpisodeOfCare).resource.account[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (EpisodeOfCare).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (EpisodeOfCare).search.mode` | string | Yes | Identifies the EpisodeOfCare as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "EpisodeOfCare",
        "id": "current-episode-of-care",
        "identifier": [
          {
            "use": "usual",
            "system": "http://example.org/sampleepisodeofcare-identifier",
            "value": "1238141"
          }
        ],
        "status": "active",
        "statusHistory": [
          {
            "status": "planned",
            "period": {
              "start": "2021-06-17T20:33:22.422Z",
              "end": "2021-06-17T20:33:22.422Z"
            }
          }
        ],
        "type": [
          {
            "coding": [
              {
                "system": "http://terminology.hl7.org/CodeSystem/episodeofcare-type",
                "code": "hacc",
                "display": "Home and Community Care"
              }
            ]
          }
        ],
        "diagnosis": [
          {
            "condition": {
              "reference": "Condition/RedoxConditionExampleEncounterDx"
            }
          }
        ],
        "patient": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "managingOrganization": {
          "reference": "Organization/RedoxOrganizationManagingExample"
        },
        "period": {
          "start": "2021-06-17T20:33:22.422Z",
          "end": "2021-06-17T20:33:22.422Z"
        },
        "referralRequest": [
          {
            "reference": "ServiceRequest/RedoxServiceRequestOrderExample"
          }
        ],
        "careManager": {
          "reference": "Practitioner/RedoxPractitionerExamplePat"
        },
        "team": [
          {
            "reference": "CareTeam/RedoxCareTeamExample"
          }
        ],
        "account": [
          {
            "reference": "Account/RedoxAccountExample"
          }
        ]
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
